Loading...
Searching...
No Matches
mongocxx::oidc_callback_params Class Reference

`#include <mongocxx/v1/oidc_callback_params.hpp>`

## Description

Parameters passed to an OIDC callback.

Note
  This type is not user-constructible. The lifetime of associated views is limited to the scope of the OIDC callback function to which this argument is passed.

## Public Member Functions

bsoncxx::v1::stdx::optional< std::chrono::steady_clock::time_point > | timeout () const
| Return the optional deadline, or nullopt for infinite timeout.
bsoncxx::v1::stdx::optional< bsoncxx::v1::stdx::string_view > | username () const
| Return the optional username, or nullopt if not provided.
std::int32_t | version () const
| Return the callback API version.

## Member Function Documentation

## timeout()

bsoncxx::v1::stdx::optional< std::chrono::steady_clock::time_point > mongocxx::v1::oidc_callback_params::timeout | ( |  | ) | const

Return the optional deadline, or nullopt for infinite timeout.

## username()

bsoncxx::v1::stdx::optional< bsoncxx::v1::stdx::string_view > mongocxx::v1::oidc_callback_params::username | ( |  | ) | const

Return the optional username, or nullopt if not provided.

## version()

std::int32_t mongocxx::v1::oidc_callback_params::version | ( |  | ) | const

Return the callback API version.

The documentation for this class was generated from the following file:

- mongocxx/v1/oidc_callback_params.hpp